From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 28 December 2009<P>

Heh, yeah we went to see Sherlock Holmes last night. It was... I dunno, it seemed to be running a lot of directions at once, and then kind of turned into a big ol' Scooby Doo episode, but it was fun.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 28 December 2009<P>

Kirk; I think you are right about Holmes..it was a much faster pace than you are used to seeing it in plus they tried to cover too much territory...but I will say it was fun and Robert Downey Jr and Jude Law were eye candy for the ladies..ha. It was a great roller coaster ride and I want to see "Watson," next.<BR>
<BR>
I also saw the new George Clooney movie which I will say... save for a rental. It's depressing and you don't need that for the end of this awful decade. (though I must say it fits you don't deserve to do it to yourself...ugh I did... that's why I say don't..<BR>
<BR>
bk
<HR>